aboutsummaryrefslogtreecommitdiffstats
path: root/tests/db-exclusive-lock
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2022-02-23 00:35:41 +0100
committerGuilhem Moulin <guilhem@fripost.org>2022-02-23 21:23:55 +0100
commiteeed44617b8b2bf4c941f6de334a9006804615fb (patch)
treee91570238753a4168e07c99f84fa4f7017e1f981 /tests/db-exclusive-lock
parenta7bae9d4eb282fe805834b8f4185a019fc9bb246 (diff)
Don't assume Net::IMAP::InterIMAP is always in @INC.
And make the installation path configurable at `make` time. Moreover, adjust the 'test' target so the site directory and interimap/pullimap path are configurable with INTERIMAP_I and INTERIMAP_PATH respectively. That way one can run `tests/run foo` to check the source, `make test` to check what's been built, and we also have the possibility to check the installed program e.g. for autopkgtests.
Diffstat (limited to 'tests/db-exclusive-lock')
-rw-r--r--tests/db-exclusive-lock/t4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/db-exclusive-lock/t b/tests/db-exclusive-lock/t
index c2df4b5..7cbe550 100644
--- a/tests/db-exclusive-lock/t
+++ b/tests/db-exclusive-lock/t
@@ -10,7 +10,7 @@ sleep .5
# subsequent runs fail as we can't acquire the exclusive lock
! interimap || error
-grep -Fx "DBD::SQLite::db do failed: database is locked at ./interimap line 176." <"$STDERR" \
- || error "Is \$DBH->do(\"PRAGMA locking_mode = EXCLUSIVE\"); at line 176?"
+grep -Ex "DBD::SQLite::db do failed: database is locked at (\S+/)?interimap line 177\." <"$STDERR" \
+ || error "Is \$DBH->do(\"PRAGMA locking_mode = EXCLUSIVE\"); at line 177?"
# vim: set filetype=sh :